import request from '@/utils/request'

// 查询支部党课学习列表
export function listStudy(query) {
  return request({
    url: '/branch/study/list',
    method: 'get',
    params: query
  })
}

// 查询支部党课学习详细
export function getStudy(studyId) {
  return request({
    url: '/branch/study/' + studyId,
    method: 'get'
  })
}

// 新增支部党课学习
export function addStudy(data) {
  return request({
    url: '/branch/study',
    method: 'post',
    data: data
  })
}

// 修改支部党课学习
export function updateStudy(data) {
  return request({
    url: '/branch/study',
    method: 'put',
    data: data
  })
}

// 删除支部党课学习
export function delStudy(studyId) {
  return request({
    url: '/branch/study/' + studyId,
    method: 'delete'
  })
}


// 删除支部党课学习
export function delStudyFile(data) {
  return request({
    url: '/branch/study/delFile',
    method: 'put',
    data: data
  })
}
